GNU bug report logs - #55349
[PATCH]: Add libobjc2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Zhu Zihao <all_but_last@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55349-done <at> debbugs.gnu.org:


Received: (at 55349-done) by debbugs.gnu.org; 20 May 2022 18:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 14:27:31 2022
Received: from localhost ([127.0.0.1]:40098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns7LX-0004lA-E8
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 14:27:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ns7LT-0004ku-Cl
 for 55349-done <at> debbugs.gnu.org; Fri, 20 May 2022 14:27:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns7LN-0008Sm-RW; Fri, 20 May 2022 14:27:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=4OqaZrGFP/TyK73YP3YMfgc2e5E5QHqGK3KYqJBAfao=; b=pK0Fn1EVIp6GLX2tS1Kw
 MuNgRM+Ng9j0uEB9TUtFucemQlFWd5gb+wh/suPNFy8LfHY4ErpYFAZpiO+ruunTd8Cf2v+g40lvE
 6Ok6ZeCbnD+c4avFk6lfvDaZGeZvmqWilnTqsUO8AF3WbISJSKPesf+DNFzCyhF26ql5WBNemrJOm
 3lzILkYlKlB5cg8LczxZuypKVOm4Qgp8tmGsdUarM5XUGs3vs4gD4/6CiJLVjeKowoa6RDMpt5g+b
 0QkdXkyWrzzopFIc8t7LaM/NR711sA035GubO/2hYDjCKXT7deELzNhT42QTBfE08b/uHoEWHaktc
 odF9YF62INwg9Q==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:65128
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns7LN-00058m-DD; Fri, 20 May 2022 14:27:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Zhu Zihao <all_but_last@HIDDEN>
Subject: Re: bug#55349: [PATCH]: Add libobjc2.
References: <86k0atbn1y.fsf@HIDDEN>
 <handler.55349.B.165218503621538.ack <at> debbugs.gnu.org>
 <864k1xbm5m.fsf@HIDDEN>
Date: Fri, 20 May 2022 20:27:18 +0200
In-Reply-To: <864k1xbm5m.fsf@HIDDEN> (Zhu Zihao's message of "Tue, 10 May
 2022 20:34:50 +0800")
Message-ID: <87v8u0vz3t.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55349-done
Cc: 55349-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Zhu Zihao <all_but_last@HIDDEN> skribis:

>>From 8ecb351adf9220651d7901d88c1acc120b2572f2 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <all_but_last@HIDDEN>
> Date: Tue, 10 May 2022 19:57:17 +0800
> Subject: [PATCH 1/3] gnu: Use license: prefix for gnu/packages/gnustep.sc=
m.
>
> * gnu/packages/gnustep.scm (gnustep-make)[license]: Use "license:" prefix.
> (windowmaker): Ditto.
> (wmbattery): Ditto.
> (wmnd): Ditto.
> (wmcpuload): Ditto.
> (wmclock): Ditto.
> (wmfire): Ditto.

[...]

>>From f8e8dccc92813ded4e3464593427c6cae095e490 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <all_but_last@HIDDEN>
> Date: Tue, 10 May 2022 19:27:25 +0800
> Subject: [PATCH 2/3] gnu: clang: Add OBJC_INCLUDE_PATH to native-search-p=
aths.
>
> Clang is also a compiler for Objective-C.
>
> * gnu/packages/llvm.scm (clang-for-llvm): Add OBJC_INCLUDE_PATH to native=
-search-paths.

[...]

>>From 6c828759cc66da8a1c7ecfed77abe7cd41aee055 Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <all_but_last@HIDDEN>
> Date: Sun, 27 Mar 2022 01:11:15 +0800
> Subject: [PATCH 3/3] gnu: Add libobjc2.
>
> * gnu/packages/patches/libobjc2-unbundle-robin-map.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add corresponding file entry.
> * gnu/packages/gnustep.scm (libobjc2): New variable.

Applied, with the cosmetic changes below to placate =E2=80=98guix lint=E2=
=80=99.

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/gnustep.scm b/gnu/packages/gnustep.scm
index 0fde3c0ebe..0314983559 100644
--- a/gnu/packages/gnustep.scm
+++ b/gnu/packages/gnustep.scm
@@ -75,18 +75,17 @@ (define-public libobjc2
   (package
     (name "libobjc2")
     (version "2.1")
-    (source
-     (origin
-       (method git-fetch)
-       (uri
-        (git-reference
-         (url "https://github.com/gnustep/libobjc2")
-         (commit (string-append "v" version))))
-       (sha256
-        (base32
-         "1zjryzvy06gjf36gz6zrkg9icwz6wsf80mp94x6bq1109vkl40b5"))
-       (patches
-        (search-patches "libobjc2-unbundle-robin-map.patch"))))
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/gnustep/libobjc2")
+                    (commit (string-append "v" version))))
+              (sha256
+               (base32
+                "1zjryzvy06gjf36gz6zrkg9icwz6wsf80mp94x6bq1109vkl40b5"))
+              (file-name (git-file-name name version))
+              (patches
+               (search-patches "libobjc2-unbundle-robin-map.patch"))))
     (build-system cmake-build-system)
     (arguments
      (list
@@ -99,7 +98,7 @@ (define-public libobjc2
     (home-page "http://www.gnustep.org/")
     (synopsis "Objective-C runtime library for Clang")
     (description "Libobjc2 is an Objective-C runtime library designed as a
-drop-in replacment for GCC runtime. It supports following features beyond
+drop-in replacment for GCC runtime.  It supports following features beyond
 GCC runtime.
 
 @itemize

--=-=-=--




Notification sent to Zhu Zihao <all_but_last@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55349 <at> debbugs.gnu.org:


Received: (at 55349) by debbugs.gnu.org; 19 May 2022 15:55:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 11:55:52 2022
Received: from localhost ([127.0.0.1]:36467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nriVE-0005Op-HR
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 11:55:52 -0400
Received: from mail-m975.mail.163.com ([123.126.97.5]:10181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <all_but_last@HIDDEN>) id 1nriVC-0005OG-9c
 for 55349 <at> debbugs.gnu.org; Thu, 19 May 2022 11:55:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=4QizV
 h6p9B/E093FX0DghHBoZxnA+54OEXLo7da1PPk=; b=O1XLaBLBijtyRB1536Chx
 2ASUj7x+pZ2Egi7fM+VdRj5k7sZ8GCzjJcHqcUMNVPYFvE0t/TamgR7UExOJwbza
 N8WUXOWXBAHXakdFsOUsknJy937KDxXQz9c5EMMCBqD52DOcbLz7teXk5FNj90GF
 Hx0lFS9GWvzPq3P5BtvNSA=
Received: from asus-laptop (unknown [27.38.118.8])
 by smtp5 (Coremail) with SMTP id HdxpCgAH0R98aIZiCRoJDQ--.3363S2;
 Thu, 19 May 2022 23:55:41 +0800 (CST)
References: <86k0atbn1y.fsf@HIDDEN>
 <handler.55349.B.165218503621538.ack <at> debbugs.gnu.org>
 <864k1xbm5m.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Zhu Zihao <all_but_last@HIDDEN>
To: 55349 <at> debbugs.gnu.org
Subject: Re: bug#55349: Acknowledgement ([PATCH]: Add libobjc2.)
Date: Thu, 19 May 2022 23:55:07 +0800
In-reply-to: <864k1xbm5m.fsf@HIDDEN>
Message-ID: <86v8u14ivv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CM-TRANSID: HdxpCgAH0R98aIZiCRoJDQ--.3363S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjTRqiiSUUUUU
X-Originating-IP: [27.38.118.8]
X-CM-SenderInfo: pdoosuxxwbztlvw6il2tof0z/1tbiTx0Gr1sGbAi1egAAsN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55349
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


ping.

=2D-=20
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIsEARYIADMWIQRefA5qkqvnKdl/GTlmOX+E92aT+QUCYoZoZBUcYWxsX2J1dF9s
YXN0QDE2My5jb20ACgkQZjl/hPdmk/n3swD/blH7rxIZuqkd8swkoRKcwfIRpPpC
96SPLhHguwVYuRABAM2BM1utHW8zDouV7htr4vZLbCM05ayVMSVInEhyp7MA
=gQxn
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to guix-patches@HIDDEN:
bug#55349; Package guix-patches. Full text available.

Message received at 55349 <at> debbugs.gnu.org:


Received: (at 55349) by debbugs.gnu.org; 10 May 2022 12:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:35:58 2022
Received: from localhost ([127.0.0.1]:60589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noP5k-00007y-CT
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:35:58 -0400
Received: from mail-m972.mail.163.com ([123.126.97.2]:59363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <all_but_last@HIDDEN>) id 1noP5e-00007b-QK
 for 55349 <at> debbugs.gnu.org; Tue, 10 May 2022 08:35:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=7YqjJ
 9R4jIwpGIrYN3QQsPz9s2kV0skVQn54A+B4KHk=; b=bwiPlvkg+Zr8DJdwtkN97
 vhvakYrVg1lXW9MF6WOaGQfa5RjerrehWMiSHKDc75M/0ceSruI9lS4p/EnnBFFz
 Pky7D7h77x83LhUPAUoV7enEIMsSkIpGNYQw5gbg2cMnLT9CR/10IS5rS9TWEnOv
 xegI22nQ0RVOZw0nNw9pm8=
Received: from asus-laptop (unknown [27.38.115.130])
 by smtp2 (Coremail) with SMTP id GtxpCgAnquwXXHpiJjzLBw--.8490S2;
 Tue, 10 May 2022 20:35:36 +0800 (CST)
References: <86k0atbn1y.fsf@HIDDEN>
 <handler.55349.B.165218503621538.ack <at> debbugs.gnu.org>
User-agent: mu4e 1.6.10; emacs 27.2
From: Zhu Zihao <all_but_last@HIDDEN>
To: 55349 <at> debbugs.gnu.org
Subject: Re: bug#55349: Acknowledgement ([PATCH]: Add libobjc2.)
Date: Tue, 10 May 2022 20:34:50 +0800
In-reply-to: <handler.55349.B.165218503621538.ack <at> debbugs.gnu.org>
Message-ID: <864k1xbm5m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-CM-TRANSID: GtxpCgAnquwXXHpiJjzLBw--.8490S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4Rq1v3UUUUU
X-Originating-IP: [27.38.115.130]
X-CM-SenderInfo: pdoosuxxwbztlvw6il2tof0z/1tbiTxj8r1sGaycF6gAAs6
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55349
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: multipart/signed; boundary="==-=-=";
	micalg=pgp-sha256; protocol="application/pgp-signature"

--==-=-=
Content-Type: text/plain

Remove unneeded input gcc-objc.


--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIsEARYIADMWIQRefA5qkqvnKdl/GTlmOX+E92aT+QUCYnpcFRUcYWxsX2J1dF9s
YXN0QDE2My5jb20ACgkQZjl/hPdmk/nTlwD6AwetRVblKV1sKuHAj1C/N/DaShU1
+3IaBnAGFycYpLoBANQgBfgYYV4C4cBq0kzoFdsfCLDDoVe7sB0ugNxai7cN
=kjdn
-----END PGP SIGNATURE-----
--==-=-=--

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-Use-license-prefix-for-gnu-packages-gnustep.scm.patch
Content-Transfer-Encoding: quoted-printable

From 8ecb351adf9220651d7901d88c1acc120b2572f2 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Tue, 10 May 2022 19:57:17 +0800
Subject: [PATCH 1/3] gnu: Use license: prefix for gnu/packages/gnustep.scm.

* gnu/packages/gnustep.scm (gnustep-make)[license]: Use "license:" prefix.
(windowmaker): Ditto.
(wmbattery): Ditto.
(wmnd): Ditto.
(wmcpuload): Ditto.
(wmclock): Ditto.
(wmfire): Ditto.
---
 gnu/packages/gnustep.scm | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/gnustep.scm b/gnu/packages/gnustep.scm
index eef3863949..a6c7c800a8 100644
--- a/gnu/packages/gnustep.scm
+++ b/gnu/packages/gnustep.scm
@@ -3,6 +3,7 @@
 ;;; Copyright =C2=A9 2016, 2017 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright =C2=A9 2022 Zhu Zihao <all_but_last@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -23,7 +24,7 @@ (define-module (gnu packages gnustep)
   #:use-module (guix download)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
-  #:use-module (guix licenses)
+  #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
   #:use-module (gnu packages xorg)
@@ -62,7 +63,7 @@ (define-public gnustep-make
 project without having to deal with the complex issues associated with
 configuration, building, installation, and packaging.  It also allows the =
user
 to easily create cross-compiled binaries.")
-    (license gpl3+)))
+    (license license:gpl3+)))
=20
 (define-public windowmaker
   (package
@@ -153,7 +154,7 @@ (define-public windowmaker
 interface.  It is fast, feature rich, easy to configure, and easy to use.")
=20
     ;; Artwork is distributed under the WTFPL.
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmbattery
   (package
@@ -180,7 +181,7 @@ (define-public wmbattery
 This includes if it is plugged in, if the battery is charging, how many mi=
nutes
 of battery life remain, battery life remaining (with both a percentage and=
 a
 graph), and battery status (high - green, low - yellow, or critical - red)=
.")
-    (license gpl2)))
+    (license license:gpl2)))
=20
 (define-public wmnd
   (package
@@ -204,7 +205,7 @@ (define-public wmnd
     (description
      "WMND is a dockapp for monitoring network interfaces under WindowMake=
r and
 other compatible window managers.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmcpuload
   (package
@@ -231,7 +232,7 @@ (define-public wmcpuload
 on and off by clicking the mouse button over the application.  If the CPU =
usage
 hits a certain threshold, an alarm-mode will alert you by turning back-lig=
ht
 on.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmclock
   (package
@@ -257,7 +258,7 @@ (define-public wmclock
      "wmclock is an applet for Window Maker which displays the date and ti=
me in
 a dockable tile.  It features multiple language support, 24h or 12h time
 display, and can run a user-specified program on mouse click.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmfire
   (package
@@ -286,4 +287,4 @@ (define-public wmfire
 entering the dock a burning spot replaces the cursor, and after two seconds
 symbols to represent the current monitor are \"burnt\" onscreen.  The flame
 colour can also be changed.")
-    (license gpl2+)))
+    (license license:gpl2+)))
--=20
2.36.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0002-gnu-clang-Add-OBJC_INCLUDE_PATH-to-native-search-pat.patch

From f8e8dccc92813ded4e3464593427c6cae095e490 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Tue, 10 May 2022 19:27:25 +0800
Subject: [PATCH 2/3] gnu: clang: Add OBJC_INCLUDE_PATH to native-search-paths.

Clang is also a compiler for Objective-C.

* gnu/packages/llvm.scm (clang-for-llvm): Add OBJC_INCLUDE_PATH to native-search-paths.
---
 gnu/packages/llvm.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 0fc2a8e380..619c3280fc 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -388,6 +388,9 @@ (define* (clang-from-llvm llvm clang-runtime
            (search-path-specification
             (variable "CPLUS_INCLUDE_PATH")
             (files '("include/c++" "include")))
+           (search-path-specification
+            (variable "OBJC_INCLUDE_PATH")
+            (files '("include")))
            (search-path-specification
             (variable "LIBRARY_PATH")
             (files '("lib" "lib64")))))
-- 
2.36.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0003-gnu-Add-libobjc2.patch

From 6c828759cc66da8a1c7ecfed77abe7cd41aee055 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Sun, 27 Mar 2022 01:11:15 +0800
Subject: [PATCH 3/3] gnu: Add libobjc2.

* gnu/packages/patches/libobjc2-unbundle-robin-map.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add corresponding file entry.
* gnu/packages/gnustep.scm (libobjc2): New variable.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/gnustep.scm                      | 48 +++++++++++++++++++
 .../patches/libobjc2-unbundle-robin-map.patch | 47 ++++++++++++++++++
 3 files changed, 96 insertions(+)
 create mode 100644 gnu/packages/patches/libobjc2-unbundle-robin-map.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 3b7db46b26..066aad89e1 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1333,6 +1333,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/kdbusaddons-kinit-file-name.patch	\
   %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
   %D%/packages/patches/libffi-float128-powerpc64le.patch	\
+  %D%/packages/patches/libobjc2-unbundle-robin-map.patch	\
   %D%/packages/patches/librime-fix-build-with-gcc10.patch	\
   %D%/packages/patches/libvirt-add-install-prefix.patch	\
   %D%/packages/patches/libziparchive-add-includes.patch		\
diff --git a/gnu/packages/gnustep.scm b/gnu/packages/gnustep.scm
index a6c7c800a8..0fde3c0ebe 100644
--- a/gnu/packages/gnustep.scm
+++ b/gnu/packages/gnustep.scm
@@ -22,15 +22,21 @@
 
 (define-module (gnu packages gnustep)
   #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix gexp)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system cmake)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages datastructures)
   #:use-module (gnu packages xorg)
   #:use-module (gnu packages libffcall)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages glib)
@@ -65,6 +71,48 @@ (define-public gnustep-make
 to easily create cross-compiled binaries.")
     (license license:gpl3+)))
 
+(define-public libobjc2
+  (package
+    (name "libobjc2")
+    (version "2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/gnustep/libobjc2")
+         (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1zjryzvy06gjf36gz6zrkg9icwz6wsf80mp94x6bq1109vkl40b5"))
+       (patches
+        (search-patches "libobjc2-unbundle-robin-map.patch"))))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      ;; XXX: Cannot use GCC to compile ObjC code due to
+      ;; https://issues.guix.gnu.org/29644.
+      #:configure-flags #~(list "-DCMAKE_C_COMPILER=clang"
+                                "-DCMAKE_CXX_COMPILER=clang++")))
+    (inputs
+     (list clang robin-map))
+    (home-page "http://www.gnustep.org/")
+    (synopsis "Objective-C runtime library for Clang")
+    (description "Libobjc2 is an Objective-C runtime library designed as a
+drop-in replacment for GCC runtime. It supports following features beyond
+GCC runtime.
+
+@itemize
+@item Modern Objective-C runtime APIs.
+@item Blocks (Closures).
+@item Synthesised property accessors.
+@item Efficient support for @code{@@synchronized()}.
+@item Type-dependent dispatch.
+@item Associated reference API.
+@item Automatic Reference Counting.
+@end itemize")
+    (license license:expat)))
+
 (define-public windowmaker
   (package
     (name "windowmaker")
diff --git a/gnu/packages/patches/libobjc2-unbundle-robin-map.patch b/gnu/packages/patches/libobjc2-unbundle-robin-map.patch
new file mode 100644
index 0000000000..b828a64221
--- /dev/null
+++ b/gnu/packages/patches/libobjc2-unbundle-robin-map.patch
@@ -0,0 +1,47 @@
+From 2c5b0d5d6eba3bda4e83f489da546060fa8f3a2b Mon Sep 17 00:00:00 2001
+From: Zhu Zihao <all_but_last@HIDDEN>
+Date: Sat, 26 Mar 2022 16:54:43 +0800
+Subject: [PATCH] Unbundle robin-map.
+
+This patch makes libobjc2 use robin-map header from system instead of cloning
+from submodule.
+---
+ CMakeLists.txt | 8 --------
+ arc.mm         | 2 +-
+ 2 files changed, 1 insertion(+), 9 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index e2746e9..cf731f1 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -86,14 +86,6 @@ else ()
+ 	list(APPEND libobjc_C_SRCS eh_personality.c)
+ endif (WIN32)
+ 
+-if (NOT EXISTS "${CMAKE_SOURCE_DIR}/third_party/robin-map/include/tsl/robin_map.h")
+-	message(FATAL_ERROR "Git submodules not present, please run:\n\n"
+-						" $ git submodule init && git submodule update\n\n"
+-						"If you did not checkout via git, you will need to"
+-						"fetch the submodule's contents from"
+-						"https://github.com/Tessil/robin-map/")
+-endif ()
+-
+ # For release builds, we disable spamming the terminal with warnings about
+ # selector type mismatches
+ if (CMAKE_BUILD_TYPE STREQUAL Release)
+diff --git a/arc.mm b/arc.mm
+index c96681f..cc93e7f 100644
+--- a/arc.mm
++++ b/arc.mm
+@@ -3,7 +3,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <assert.h>
+-#include "third_party/robin-map/include/tsl/robin_map.h"
++#include <tsl/robin_map.h>
+ #import "lock.h"
+ #import "objc/runtime.h"
+ #import "objc/blocks_runtime.h"
+-- 
+2.34.0
+
-- 
2.36.0


--=-=-=
Content-Type: text/plain


-- 
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao

--=-=-=--





Information forwarded to guix-patches@HIDDEN:
bug#55349; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2022 12:17:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:17:16 2022
Received: from localhost ([127.0.0.1]:60530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noOnd-0005WD-4E
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:17:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:53516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <all_but_last@HIDDEN>) id 1noOnY-0005Sr-Uy
 for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:17:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38162)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <all_but_last@HIDDEN>)
 id 1noOnX-0000CX-PK
 for guix-patches@HIDDEN; Tue, 10 May 2022 08:17:04 -0400
Received: from mail-m973.mail.163.com ([123.126.97.3]:19560)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <all_but_last@HIDDEN>) id 1noOnQ-0005jW-5G
 for guix-patches@HIDDEN; Tue, 10 May 2022 08:17:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=ZaVJc
 4c+xuTLppMXorncA4p3cu+IuC4Qrvw+QtxNRFU=; b=KSD5ULsFHu7Q3zwbE1dVp
 dHObO6EngYbyf0HXIQ8VJMcqpmef2JaS5UV2VFl26yVwFmvqePYxjUKjDs8izVwR
 0M6wSpqKcpNhXpJj+lrJ+1CDRAWNMlMhEtbrfw+6I1giQfGBQqpGczMDzDfvQLnp
 /JlovrkNpUJu6aZE8wMTCk=
Received: from asus-laptop (unknown [27.38.115.130])
 by smtp3 (Coremail) with SMTP id G9xpCgA3unuNV3piXijdBw--.9039S2;
 Tue, 10 May 2022 20:16:14 +0800 (CST)
User-agent: mu4e 1.6.10; emacs 27.2
From: Zhu Zihao <all_but_last@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH]: Add libobjc2.
Date: Tue, 10 May 2022 20:15:25 +0800
Message-ID: <86k0atbn1y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-CM-TRANSID: G9xpCgA3unuNV3piXijdBw--.9039S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUOPESUUUUU
X-Originating-IP: [27.38.115.130]
X-CM-SenderInfo: pdoosuxxwbztlvw6il2tof0z/1tbiKQf8r1Xl3PITGQACsr
Received-SPF: pass client-ip=123.126.97.3; envelope-from=all_but_last@HIDDEN;
 helo=mail-m973.mail.163.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: multipart/signed; boundary="==-=-=";
	micalg=pgp-sha256; protocol="application/pgp-signature"

--==-=-=
Content-Type: text/plain


--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIsEARYIADMWIQRefA5qkqvnKdl/GTlmOX+E92aT+QUCYnpXiRUcYWxsX2J1dF9s
YXN0QDE2My5jb20ACgkQZjl/hPdmk/mmdAEA+qfdiIj2hOkMP0eMIZAQEnhQ2HxJ
Cku8TSNR+iuD4W4A/1IzSSPDVQ9kpTcttr/TdOtHa3iMvF/mPHHTx7d8YEMF
=Ij3n
-----END PGP SIGNATURE-----
--==-=-=--

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-Use-license-prefix-for-gnu-packages-gnustep.scm.patch
Content-Transfer-Encoding: quoted-printable

From 8ecb351adf9220651d7901d88c1acc120b2572f2 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Tue, 10 May 2022 19:57:17 +0800
Subject: [PATCH 1/3] gnu: Use license: prefix for gnu/packages/gnustep.scm.

* gnu/packages/gnustep.scm (gnustep-make)[license]: Use "license:" prefix.
(windowmaker): Ditto.
(wmbattery): Ditto.
(wmnd): Ditto.
(wmcpuload): Ditto.
(wmclock): Ditto.
(wmfire): Ditto.
---
 gnu/packages/gnustep.scm | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/gnustep.scm b/gnu/packages/gnustep.scm
index eef3863949..a6c7c800a8 100644
--- a/gnu/packages/gnustep.scm
+++ b/gnu/packages/gnustep.scm
@@ -3,6 +3,7 @@
 ;;; Copyright =C2=A9 2016, 2017 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright =C2=A9 2022 Zhu Zihao <all_but_last@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -23,7 +24,7 @@ (define-module (gnu packages gnustep)
   #:use-module (guix download)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
-  #:use-module (guix licenses)
+  #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
   #:use-module (gnu packages xorg)
@@ -62,7 +63,7 @@ (define-public gnustep-make
 project without having to deal with the complex issues associated with
 configuration, building, installation, and packaging.  It also allows the =
user
 to easily create cross-compiled binaries.")
-    (license gpl3+)))
+    (license license:gpl3+)))
=20
 (define-public windowmaker
   (package
@@ -153,7 +154,7 @@ (define-public windowmaker
 interface.  It is fast, feature rich, easy to configure, and easy to use.")
=20
     ;; Artwork is distributed under the WTFPL.
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmbattery
   (package
@@ -180,7 +181,7 @@ (define-public wmbattery
 This includes if it is plugged in, if the battery is charging, how many mi=
nutes
 of battery life remain, battery life remaining (with both a percentage and=
 a
 graph), and battery status (high - green, low - yellow, or critical - red)=
.")
-    (license gpl2)))
+    (license license:gpl2)))
=20
 (define-public wmnd
   (package
@@ -204,7 +205,7 @@ (define-public wmnd
     (description
      "WMND is a dockapp for monitoring network interfaces under WindowMake=
r and
 other compatible window managers.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmcpuload
   (package
@@ -231,7 +232,7 @@ (define-public wmcpuload
 on and off by clicking the mouse button over the application.  If the CPU =
usage
 hits a certain threshold, an alarm-mode will alert you by turning back-lig=
ht
 on.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmclock
   (package
@@ -257,7 +258,7 @@ (define-public wmclock
      "wmclock is an applet for Window Maker which displays the date and ti=
me in
 a dockable tile.  It features multiple language support, 24h or 12h time
 display, and can run a user-specified program on mouse click.")
-    (license gpl2+)))
+    (license license:gpl2+)))
=20
 (define-public wmfire
   (package
@@ -286,4 +287,4 @@ (define-public wmfire
 entering the dock a burning spot replaces the cursor, and after two seconds
 symbols to represent the current monitor are \"burnt\" onscreen.  The flame
 colour can also be changed.")
-    (license gpl2+)))
+    (license license:gpl2+)))
--=20
2.36.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0002-gnu-Add-libobjc2.patch

From b73e30fa1a9d07c3d7f0f3ca0574b09c55622f85 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Sun, 27 Mar 2022 01:11:15 +0800
Subject: [PATCH 2/3] gnu: Add libobjc2.

* gnu/packages/patches/libobjc2-unbundle-robin-map.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add corresponding file entry.
* gnu/packages/gnustep.scm (libobjc2): New variable.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/gnustep.scm                      | 50 +++++++++++++++++++
 .../patches/libobjc2-unbundle-robin-map.patch | 47 +++++++++++++++++
 3 files changed, 98 insertions(+)
 create mode 100644 gnu/packages/patches/libobjc2-unbundle-robin-map.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 3b7db46b26..066aad89e1 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1333,6 +1333,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/kdbusaddons-kinit-file-name.patch	\
   %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
   %D%/packages/patches/libffi-float128-powerpc64le.patch	\
+  %D%/packages/patches/libobjc2-unbundle-robin-map.patch	\
   %D%/packages/patches/librime-fix-build-with-gcc10.patch	\
   %D%/packages/patches/libvirt-add-install-prefix.patch	\
   %D%/packages/patches/libziparchive-add-includes.patch		\
diff --git a/gnu/packages/gnustep.scm b/gnu/packages/gnustep.scm
index a6c7c800a8..dd0b645395 100644
--- a/gnu/packages/gnustep.scm
+++ b/gnu/packages/gnustep.scm
@@ -22,15 +22,21 @@
 
 (define-module (gnu packages gnustep)
   #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix gexp)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system cmake)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages datastructures)
   #:use-module (gnu packages xorg)
   #:use-module (gnu packages libffcall)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages glib)
@@ -65,6 +71,50 @@ (define-public gnustep-make
 to easily create cross-compiled binaries.")
     (license license:gpl3+)))
 
+(define-public libobjc2
+  (package
+    (name "libobjc2")
+    (version "2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/gnustep/libobjc2")
+         (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1zjryzvy06gjf36gz6zrkg9icwz6wsf80mp94x6bq1109vkl40b5"))
+       (patches
+        (search-patches "libobjc2-unbundle-robin-map.patch"))))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      ;; XXX: Cannot use GCC to compile ObjC code due to
+      ;; https://issues.guix.gnu.org/29644.
+      #:configure-flags #~(list "-DCMAKE_C_COMPILER=clang"
+                                "-DCMAKE_CXX_COMPILER=clang++")))
+    (inputs
+     (list clang
+           gcc-objc                          ;For Objective-C headers
+           robin-map))
+    (home-page "http://www.gnustep.org/")
+    (synopsis "Objective-C runtime library for Clang")
+    (description "Libobjc2 is an Objective-C runtime library designed as a
+drop-in replacment for GCC runtime. It supports following features beyond
+GCC runtime.
+
+@itemize
+@item Modern Objective-C runtime APIs.
+@item Blocks (Closures).
+@item Synthesised property accessors.
+@item Efficient support for @code{@@synchronized()}.
+@item Type-dependent dispatch.
+@item Associated reference API.
+@item Automatic Reference Counting.
+@end itemize")
+    (license license:expat)))
+
 (define-public windowmaker
   (package
     (name "windowmaker")
diff --git a/gnu/packages/patches/libobjc2-unbundle-robin-map.patch b/gnu/packages/patches/libobjc2-unbundle-robin-map.patch
new file mode 100644
index 0000000000..b828a64221
--- /dev/null
+++ b/gnu/packages/patches/libobjc2-unbundle-robin-map.patch
@@ -0,0 +1,47 @@
+From 2c5b0d5d6eba3bda4e83f489da546060fa8f3a2b Mon Sep 17 00:00:00 2001
+From: Zhu Zihao <all_but_last@HIDDEN>
+Date: Sat, 26 Mar 2022 16:54:43 +0800
+Subject: [PATCH] Unbundle robin-map.
+
+This patch makes libobjc2 use robin-map header from system instead of cloning
+from submodule.
+---
+ CMakeLists.txt | 8 --------
+ arc.mm         | 2 +-
+ 2 files changed, 1 insertion(+), 9 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index e2746e9..cf731f1 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -86,14 +86,6 @@ else ()
+ 	list(APPEND libobjc_C_SRCS eh_personality.c)
+ endif (WIN32)
+ 
+-if (NOT EXISTS "${CMAKE_SOURCE_DIR}/third_party/robin-map/include/tsl/robin_map.h")
+-	message(FATAL_ERROR "Git submodules not present, please run:\n\n"
+-						" $ git submodule init && git submodule update\n\n"
+-						"If you did not checkout via git, you will need to"
+-						"fetch the submodule's contents from"
+-						"https://github.com/Tessil/robin-map/")
+-endif ()
+-
+ # For release builds, we disable spamming the terminal with warnings about
+ # selector type mismatches
+ if (CMAKE_BUILD_TYPE STREQUAL Release)
+diff --git a/arc.mm b/arc.mm
+index c96681f..cc93e7f 100644
+--- a/arc.mm
++++ b/arc.mm
+@@ -3,7 +3,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <assert.h>
+-#include "third_party/robin-map/include/tsl/robin_map.h"
++#include <tsl/robin_map.h>
+ #import "lock.h"
+ #import "objc/runtime.h"
+ #import "objc/blocks_runtime.h"
+-- 
+2.34.0
+
-- 
2.36.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0003-gnu-clang-Add-OBJC_INCLUDE_PATH-to-native-search-pat.patch

From a0974ff954165732c90be02f20ac6e8701f4fb43 Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@HIDDEN>
Date: Tue, 10 May 2022 19:27:25 +0800
Subject: [PATCH 3/3] gnu: clang: Add OBJC_INCLUDE_PATH to native-search-paths.

Clang is also a compiler for Objective-C.

* gnu/packages/llvm.scm (clang-for-llvm): Add OBJC_INCLUDE_PATH to native-search-paths.
---
 gnu/packages/llvm.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 0fc2a8e380..619c3280fc 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -388,6 +388,9 @@ (define* (clang-from-llvm llvm clang-runtime
            (search-path-specification
             (variable "CPLUS_INCLUDE_PATH")
             (files '("include/c++" "include")))
+           (search-path-specification
+            (variable "OBJC_INCLUDE_PATH")
+            (files '("include")))
            (search-path-specification
             (variable "LIBRARY_PATH")
             (files '("lib" "lib64")))))
-- 
2.36.0


--=-=-=
Content-Type: text/plain


-- 
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao

--=-=-=--





Acknowledgement sent to Zhu Zihao <all_but_last@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55349; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.